pqxx::field_streambuf< CHAR, TRAITS > Class Template Reference

`#include <field.hxx>`

Inheritance diagram for pqxx::field_streambuf< CHAR, TRAITS >:
[legend]

## Public Types

using | char_type = CHAR
using | traits_type = TRAITS
using | int_type = typename traits_type::int_type
using | pos_type = typename traits_type::pos_type
using | off_type = typename traits_type::off_type
using | openmode = std::ios::openmode
using | seekdir = std::ios::seekdir

## Public Member Functions

| field_streambuf (const field &F)

## Protected Member Functions

virtual int | sync () override
virtual pos_type | seekoff (off_type, seekdir, openmode) override
virtual pos_type | seekpos (pos_type, openmode) override
virtual int_type | overflow (int_type) override
virtual int_type | underflow () override

## Member Typedef Documentation

## char_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::char_type = CHAR

## int_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::int_type = typename traits_type::int_type

## off_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::off_type = typename traits_type::off_type

## openmode

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::openmode = std::ios::openmode

## pos_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::pos_type = typename traits_type::pos_type

## seekdir

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::seekdir = std::ios::seekdir

## traits_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::field_streambuf< CHAR, TRAITS >::traits_type = TRAITS

## Constructor & Destructor Documentation

## field_streambuf()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::field_streambuf< CHAR, TRAITS >::field_streambuf | ( | const field & | F | ) |

explicit

## Member Function Documentation

## overflow()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

virtual int_type pqxx::field_streambuf< CHAR, TRAITS >::overflow | ( | int_type |  | ) |

override protected virtual

## seekoff()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

virtual pos_type pqxx::field_streambuf< CHAR, TRAITS >::seekoff | ( | off_type | ,
|  | seekdir | ,
|  | openmode |
| ) |  |

override protected virtual

## seekpos()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

virtual pos_type pqxx::field_streambuf< CHAR, TRAITS >::seekpos | ( | pos_type | ,
|  | openmode |
| ) |  |

override protected virtual

## sync()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

virtual int pqxx::field_streambuf< CHAR, TRAITS >::sync | ( |  | ) |

override protected virtual

## underflow()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

virtual int_type pqxx::field_streambuf< CHAR, TRAITS >::underflow | ( |  | ) |

override protected virtual

The documentation for this class was generated from the following file:

- field.hxx